package com.ruoyi.processdata.mapper;

import java.util.List;

import com.ruoyi.processdata.domain.PdProfessionVersion0Result;
import com.ruoyi.processdata.domain.PdProfessionVersion0Update;

/**
 * 专业线0分更新Mapper接口
 *
 * @author voluntarydata
 * @date 2023-05-18
 */
public interface PdProfessionVersion0UpdateMapper
{
    /**
     * 查询专业线0分更新
     *
     * @param id 专业线0分更新主键
     * @return 专业线0分更新
     */
    public PdProfessionVersion0Update selectPdProfessionVersion0UpdateById(String id);
    public String selectMaxVersion(String location);

    /**
     * 查询专业线0分更新列表
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 专业线0分更新集合
     */
    public List<PdProfessionVersion0Update> selectPdProfessionVersion0UpdateList(PdProfessionVersion0Update pdProfessionVersion0Update);
    public List<PdProfessionVersion0Result> selectVersion0(PdProfessionVersion0Update pdProfessionVersion0Update);
    public List<PdProfessionVersion0Result> selectVersion0BatchCourse(PdProfessionVersion0Update pdProfessionVersion0Update);

    /**
     * 新增专业线0分更新
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 结果
     */
    public int insertPdProfessionVersion0Update(PdProfessionVersion0Update pdProfessionVersion0Update);

    /**
     * 修改专业线0分更新
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 结果
     */
    public int updatePdProfessionVersion0Update(PdProfessionVersion0Update pdProfessionVersion0Update);

    /**
     * 删除专业线0分更新
     *
     * @param id 专业线0分更新主键
     * @return 结果
     */
    public int deletePdProfessionVersion0UpdateById(String id);

    /**
     * 批量删除专业线0分更新
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdProfessionVersion0UpdateByIds(String[] ids);
}
